Skip to content
Proud to collaborate with Microsoft for Startups

argocd.application.revision-chart-details ​

Get the chart metadata (description, maintainers, home) for a specific revision of the application

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes—the application's name
revisionstringYes—the revision of the app
appnamespacestringNo—the application's namespace.
projectstringNo——
sourceindexintegerNo—source index (for multi source apps).
versionidintegerNo—versionId from historical data (for multi source apps).

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes—the application's name
revisionstringYes—the revision of the app
appnamespacestringNo—the application's namespace.
projectstringNo——
sourceindexintegerNo—source index (for multi source apps).
versionidintegerNo—versionId from historical data (for multi source apps).
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /api/v1/applications/{name}/revisions/{revision}/chartdetails
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /api/v1/applications/{name}/revisions/{revision}/chartdetails
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.application.revision-chart-details",
  "initial_data": {
    "base_url": "value",
    "name": "value",
    "revision": "value"
  }
}